#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cereal
Version		:	1.3.2
Release		:	16.2.0.rel%{?dist}
Summary		:	A header-only C++11 serialization library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/USCiLab/cereal/tags

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	boost-devel
BuildRequires	:	gcc-c++
BuildRequires	:	cmake	>= 3.0

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
cereal is a header-only C++11 serialization library. cereal
takes arbitrary data types and reversibly turns them into
different representations, such as compact binary encodings,
XML, or JSON. cereal was designed to be fast, light-weight,
and easy to extend - it has no external dependencies and can
be easily bundled with other code or used standalone.
 

#=============================================================================
%package		devel
Summary		:	Development headers and libraries for %{name}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description		devel
cereal is a header-only C++11 serialization library. cereal
takes arbitrary data types and reversibly turns them into
different representations, such as compact binary encodings,
XML, or JSON. cereal was designed to be fast, light-weight,
and easy to extend - it has no external dependencies and can
be easily bundled with other code or used standalone.

This package contains development headers and libraries for
the cereal library
 
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_includedir}/%{name}/*.hpp
%{_includedir}/%{name}/archives/*.hpp
%{_includedir}/%{name}/details/*.hpp
%{_includedir}/%{name}/external/LICENSE
%{_includedir}/%{name}/external/*.hpp
%{_includedir}/%{name}/external/rapidjson/LICENSE
%{_includedir}/%{name}/external/rapidjson/*.h
%{_includedir}/%{name}/external/rapidjson/error/*.h
%{_includedir}/%{name}/external/rapidjson/internal/*.h
%{_includedir}/%{name}/external/rapidjson/msinttypes/LICENSE
%{_includedir}/%{name}/external/rapidjson/msinttypes/*.h
%{_includedir}/%{name}/external/rapidxml/*.hpp
%{_includedir}/%{name}/external/rapidxml/license.txt
%{_includedir}/%{name}/external/rapidxml/manual.html
%{_includedir}/%{name}/types/*.hpp
%{_includedir}/%{name}/types/concepts/*.hpp
%{_libdir}/cmake/%{name}/%{name}Config.cmake
%{_libdir}/cmake/%{name}/%{name}ConfigVersion.cmake
%{_libdir}/cmake/%{name}/%{name}Targets.cmake

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir}	build_%{name}
pushd		build_%{name}

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DSKIP_PORTABILITY_TEST=ON				\
	-DWITH_WERROR=OFF					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make 								\
	%{?_smp_mflags}	

popd

#-----------------------------------------------------------------------------
%check
%{__make}							\
	-C build_%{name}					\
	test
	

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build_%{name}					\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
